Bug 660415 (CVE-2010-3777) - CVE-2010-3777 Mozilla miscellaneous memory safety hazards (MFSA 2010-74)
Summary: CVE-2010-3777 Mozilla miscellaneous memory safety hazards (MFSA 2010-74)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101209,reported=20101203,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 18:50 UTC by Josh Bressers
Modified: 2019-06-08 18:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 18:59:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0966 normal SHIPPED_LIVE Critical: firefox security update 2010-12-09 23:08:48 UTC
Red Hat Product Errata RHSA-2010:0969 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-12-09 23:55:57 UTC

Description Josh Bressers 2010-12-06 18:50:03 UTC
Mozilla developers identified and fixed several memory safety bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these bugs showed evidence of memory corruption under certain
circumstances, and we presume that with enough effort at least some of
these could be exploited to run arbitrary code.

Igor Bukanov reported a memory safety problem that was fixed in Firefox 3.6
only.

Comment 1 Vincent Danen 2010-12-09 22:13:43 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-74.html

Comment 2 errata-xmlrpc 2010-12-09 23:09:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html

Comment 3 errata-xmlrpc 2010-12-09 23:56:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0969 https://rhn.redhat.com/errata/RHSA-2010-0969.html


Note You need to log in before you can comment on or make changes to this bug.